Bug 9343 - SIP doesn't handle debarred date/status correctly
Summary: SIP doesn't handle debarred date/status correctly
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Adrien SAURAT
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-03 16:07 UTC by Adrien SAURAT
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.14 KB, patch)
2013-01-03 16:11 UTC, Adrien SAURAT
Details | Diff | Splinter Review
Bug 9343: handles the new format of Debarred (1.19 KB, patch)
2013-01-18 19:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9343: handles the new format of Debarred (1.30 KB, patch)
2013-01-18 20:19 UTC, Elliott Davis
Details | Diff | Splinter Review
Bug 9343: handles the new format of Debarred [3.10.x] (1.30 KB, patch)
2013-02-01 12:41 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2013-01-03 16:07:23 UTC
The SIP engine didn't evolve when the debarred status switched from a boolean to a date.

This needs to be fixed in C4/SIP/ILS/Patron.pm, where the $debarred variable, which should be filled as a boolean, gets the date instead.
Comment 1 Adrien SAURAT 2013-01-03 16:11:11 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-01-18 19:59:40 UTC Comment hidden (obsolete)
Comment 3 Elliott Davis 2013-01-18 20:19:27 UTC Comment hidden (obsolete)
Comment 4 Jared Camins-Esakov 2013-01-23 01:01:00 UTC
This patch has been pushed to master.
Comment 5 Chris Cormack 2013-02-01 08:28:04 UTC
Does not apply to 3.10.x please rebase if you will it to be that branch.
Comment 6 Kyle M Hall 2013-02-01 12:41:52 UTC
Created attachment 15000 [details] [review]
Bug 9343: handles the new format of Debarred [3.10.x]

The debarred status in DB switched from a boolean to a date.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Elliott Davis <elliott@bywatersolions.com>
Correctly pulls debared flag instead of debarment date.
Comment 7 Chris Cormack 2013-02-03 21:40:02 UTC
Pushed to 3.10.x will be in 3.10.3